Ir al contenido
Documentación de Endless

List roles

GET
/organizations/{organization_id}/roles

Lists the roles the caller can read. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/org_abc123/roles"
{  "roles": [    {      "role": "org:admin",      "permissions": [        "billing:manage"      ]    }  ],  "caller": {    "role": "org:admin",    "permissions": [      "billing:manage"    ]  }}